/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.requestanalysis.bean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;

import jp.terasoluna.rich.functionsample.common.bean.StringBean;

/**
 * リクエストデータ入力クラス
 *
 */
public class RequestAnalysisData implements Serializable {

    /**
     * シリアルバージョンID 
     */
    private static final long serialVersionUID = -3430337164884595292L;

    /**
     * java.lang.String テスト値
     */
    private String stringClass = null;

    /**
     * booleandテスト値
     */
    private boolean booleanExample = false;
    
    /**
     * doubleテスト値
     */
    private double doubleExample = 0D;
    
    /**
     * floatテスト値
     */
    private float floatExample = 0F;
    
    /**
     * intテスト値
     */
    private int intExample = 0;
    
    /**
     * longテスト値
     */
    private long longExample = 0L;
    
    /**
     * shortテスト値
     */
    private short shortExample = 0;
    
    /**
     * byteテスト値
     */
    private byte byteExample = 0;
    
    /**
     * charテスト値
     */
    private char charExample = 0;
    
    /**
     * java.lang.Characterテスト値
     */
    private Character characterClass = null;

    /**
     * java.lang.Integerテスト値
     */
    private Integer integerClass = null;
    
    /**
     * java.lang.Booleanテスト値
     */
    private Boolean booleanClass = null;
    
    /**
     * java.lang.Byteテスト値
     */
    private Byte byteClass = null;
    
    /**
     * java.lang.Doubleテスト値
     */
    private Double doubleClass = null;
    
    /**
     * java.lang.Longテスト値
     */
    private Long longClass = null;
    
    /**
     * java.lang.Floatテスト値
     */
    private Float floatClass = null;
    
    /**
     * java.lang.Shortテスト値
     */
    private Short shortClass = null;
    
    /**
     * java.util.Dateテスト値
     */
    private Date dateClass = null;
    
    /**
     * java.math.BigDecimalテスト値
     */
    private BigDecimal bigDecimalClass = null;
    
    /**
     * java.lang.String配列テスト値
     */
    private String[] arrayClass = null;
    
    /**
     * java.util.ArrayList配列テスト値
     */
    private ArrayList arrayListClass = new ArrayList();

    /**
     * JavaBeanテスト値
     */
    private StringBean beanClass = new StringBean();

    /**
     * JavaBean配列テスト値
     */
    private StringBean[] beanArrayClass = null;

    /**
     * beanArrayClassを取得する。
     * @return beanArrayClass
     */
    public StringBean[] getBeanArrayClass() {
        return beanArrayClass;
    }

    /**
     * beanArrayClassを設定する。
     * @param beanArrayClass beanArrayClass
     */
    public void setBeanArrayClass(StringBean[] beanArrayClass) {
        this.beanArrayClass = beanArrayClass;
    }

    /**
     * beanClassを取得する。
     * @return beanClass
     */
    public StringBean getBeanClass() {
        return beanClass;
    }

    /**
     * beanClassを設定する。
     * @param beanClass beanArrayClass
     */
    public void setBeanClass(StringBean beanClass) {
        this.beanClass = beanClass;
    }

    /**
     * dateClassを取得する。
     * @return dateClass
     */
    public Date getDateClass() {
        return dateClass;
    }

    /**
     * dateClassを設定する。
     * @param dateClass dateClass
     */
    public void setDateClass(Date dateClass) {
        this.dateClass = dateClass;
    }

    /**
     * booleanExampleを取得する。
     * @return booleanテスト値
     */
    public boolean getBooleanExample() {
        return booleanExample;
    }

    /**
     * booleanExampleを設定する。
     * @param booleanExample booleanテスト値
     */
    public void setBooleanExample(boolean booleanExample) {
        this.booleanExample = booleanExample;
    }

    /**
     * byteExampleを取得する。
     * @return byteテスト値
     */
    
    public byte getByteExample() {
        return byteExample;
    }

    /**
     * byteExampleを設定する。
     * @param byteExample byteテスト値
     */
    
    public void setByteExample(byte byteExample) {
        this.byteExample = byteExample;
    }

    /**
     * doubleExampleを取得する。
     * @return doubleテスト値
     */
    
    public double getDoubleExample() {
        return doubleExample;
    }

    /**
     * doubleExampleを設定する。
     * @param doubleExample doubleテスト値
     */
    
    public void setDoubleExample(double doubleExample) {
        this.doubleExample = doubleExample;
    }

    /**
     * floatExampleを取得する。
     * @return floatテスト値
     */
    
    public float getFloatExample() {
        return floatExample;
    }

    /**
     * floatExampleを設定する。
     * @param floatExample floatテスト値
     */
    
    public void setFloatExample(float floatExample) {
        this.floatExample = floatExample;
    }

    /**
     * intExampleを取得する。
     * @return intテスト値
     */
    
    public int getIntExample() {
        return intExample;
    }

    /**
     * intExampleを設定する。
     * @param intExample intテスト値
     */
    
    public void setIntExample(int intExample) {
        this.intExample = intExample;
    }

    /**
     * longExampleを取得する。
     * @return longテスト値
     */
    
    public long getLongExample() {
        return longExample;
    }

    /**
     * longExampleを設定する。
     * @param longExample longテスト値
     */
    
    public void setLongExample(long longExample) {
        this.longExample = longExample;
    }

    /**
     * shortExampleを取得する。
     * @return shortテスト値
     */
    
    public short getShortExample() {
        return shortExample;
    }

    /**
     * shortExampleを設定する。
     * @param shortExample shortテスト値
     */
    
    public void setShortExample(short shortExample) {
        this.shortExample = shortExample;
    }

    /**
     * booleanClassを取得する。
     * @return java.lang.Booleanテスト値
     */
    
    public Boolean getBooleanClass() {
        return booleanClass;
    }

    /**
     * booleanClassを設定する。
     * @param booleanClass java.lang.Booleanテスト値
     */
    
    public void setBooleanClass(Boolean booleanClass) {
        this.booleanClass = booleanClass;
    }

    /**
     * byteClassを取得する。
     * @return java.lang.Byteテスト値
     */
    
    public Byte getByteClass() {
        return byteClass;
    }

    /**
     * byteClassを設定する。
     * @param byteClass java.lang.Byteテスト値
     */
    
    public void setByteClass(Byte byteClass) {
        this.byteClass = byteClass;
    }

    /**
     * doubleClassを取得する。
     * @return java.lang.Doubleテスト値
     */
    
    public Double getDoubleClass() {
        return doubleClass;
    }

    /**
     * doubleClassを設定する。
     * @param doubleClass java.lang.Doubleテスト値
     */
    
    public void setDoubleClass(Double doubleClass) {
        this.doubleClass = doubleClass;
    }

    /**
     * floatClassを取得する。
     * @return java.lang.Floatテスト値
     */
    
    public Float getFloatClass() {
        return floatClass;
    }

    /**
     * floatClassを設定する。
     * @param floatClass java.lang.Floatテスト値
     */
    
    public void setFloatClass(Float floatClass) {
        this.floatClass = floatClass;
    }

    /**
     * integerClassを取得する。
     * @return java.lang.Integerテスト値
     */
    public Integer getIntegerClass() {
        return integerClass;
    }

    /**
     * integerClassを設定する。
     * @param integerClass java.lang.Integerテスト値
     */
    public void setIntegerClass(Integer integerClass) {
        this.integerClass = integerClass;
    }

    /**
     * stringClassを取得する。
     * @return java.lang.Stringテスト値
     */
    public String getStringClass() {
        return stringClass;
    }

    /**
     * stringClassを設定する。
     * @param stringClass java.lang.Stringテスト値
     */
    public void setStringClass(String stringClass) {
        this.stringClass = stringClass;
    }

    /**
     * longClassを取得する。
     * @return java.lang.Longテスト値
     */
    
    public Long getLongClass() {
        return longClass;
    }

    /**
     * longClassを設定する。
     * @param longClass java.lang.Longテスト値
     */
    
    public void setLongClass(Long longClass) {
        this.longClass = longClass;
    }

    /**
     * shortClassを取得する。
     * @return java.lang.Shortテスト値
     */
    
    public Short getShortClass() {
        return shortClass;
    }

    /**
     * shortClassを設定する。
     * @param shortClass java.lang.Shortテスト値
     */
    
    public void setShortClass(Short shortClass) {
        this.shortClass = shortClass;
    }

    /**
     * characterClassを取得する。
     * @return java.lang.Characterテスト値
     */
    
    public Character getCharacterClass() {
        return characterClass;
    }

    /**
     * characterClassを設定する。
     * @param characterClass java.lang.Characterテスト値
     */
    
    public void setCharacterClass(Character characterClass) {
        this.characterClass = characterClass;
    }

    /**
     * charExampleを取得する。
     * @return charテスト値
     */
    
    public char getCharExample() {
        return charExample;
    }

    /**
     * charExampleを設定する。
     * @param charExample charテスト値
     */
    
    public void setCharExample(char charExample) {
        this.charExample = charExample;
    }
    
    /**
     * arrayClassを取得する。
     * @return String配列テスト値
     */
    public String[] getArrayClass() {
        return arrayClass;
    }

    /**
     * arrayClassを設定する。
     * @param arrayClass String配列テスト値
     */
    public void setArrayClass(String[] arrayClass) {
        this.arrayClass = arrayClass;
    }

    /**
     * arrayListClassを取得する。
     * @return arrayListClass配列テスト値
     */
    public ArrayList getArrayListClass() {
        return arrayListClass;
    }

    /**
     * arrayListClassを設定する。
     * @param arrayListClass arrayListClass配列テスト値
     */
    public void setArrayListClass(ArrayList arrayListClass) {
        this.arrayListClass = arrayListClass;
    }

    /**
     * arrayListClassを設定する。
     * @param arrayListClass arrayListClass配列テスト値
     */
    public void addArrayListClass(Object object) {
        this.arrayListClass.add(object);
    }
    
    /**
     * bigDecimalClassを取得する。
     * @return bigDecimalClass
     */
    public BigDecimal getBigDecimalClass() {
        return bigDecimalClass;
    }

    /**
     * bigDecimalClassを設定する。
     * @param bigDecimalClass bigDecimalClass
     */
    public void setBigDecimalClass(BigDecimal bigDecimalClass) {
        this.bigDecimalClass = bigDecimalClass;
    }
}
